﻿echo off

pushd .\


:: The input file or directory
SET INPUT="%~dp0vault_data\in"


:: The destination directory
SET DESTINATION="%~dp0vault_data\out"


:: The error directory
SET ERRORS="%~dp0vault_data\error"

:: Use cached exported keys "-i %KEYS% is the switch include the filename
::SET KEYS=%~dp0vault_data\keys\client.keys"


:: The credentials configuration.  Check the docs to see the format
:: of this.  The default path it looks for this is ~/.creds/virtru-cli-creds.json
SET CONFIG="%~dp0virtru-creds.json"


:: Path to XML (only for Mbox)
:: Note- This must include the .xml file name "-x %XML%" will be the switch
:: SET XML="%~dp0vault_data\XML\metadata.xml"




:: Runs the command
%~dp0win-x64\virtru.console.exe bulk-decrypt -s %INPUT% -d %DESTINATION% -c %CONFIG% -e %ERRORS%


popd